QGIS Application - Bug report #18678
System crash/logout with temp layer in Layers panel
2018-04-10 04:11 AM - Nathan Perry

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Mac OS 10.13.3 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 26566
Description

When a temporary memory layer is present in the map legend (Layers panel), hovering the mouse over the temp layer's name will cause
unexpected system logout. After logging in and re-starting QGIS, closing and re-opening the Layers panel will allow the temp layer to be
selected and deleted.

The temp layer that causes the crash is generated by the Polygon to Lines algorithm; other temp layers (such as those created by Check
Validity) do not cause the crash.

History

#1 - 2018-04-10 06:33 AM - Nyall Dawson

Can't reproduce on Linux - may be another OSX specific issue

#2 - 2018-04-10 04:50 PM - Nathan Perry

Nyall Dawson wrote:

Can't reproduce on Linux - may be another OSX specific issue

| believe there are known issues related to High Sierra and WindowServer crashes, which may be at play here. But the crash is tied to a specific action

within QGIS (though | couldn't possibly guess why hovering the cursor over a specific type of layer would cause a crash at the system level).

#3 - 2018-12-27 05:02 PM - Nyall Dawson
- Status changed from Open to Feedback

Please test with 3.4

#4 - 2018-12-27 05:26 PM - Nathan Perry

Nyall Dawson wrote:

Please test with 3.4
Can't reproduce on 3.4.2

#5 - 2018-12-27 08:21 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
